package gtk2-engines-pixbuf 2.24.6-0ubuntu6 failed to install/upgrade: './usr/share/doc/gtk2-engines-pixbuf/NEWS.gz' is different from the same file on the system

Bug #898973 reported by Vladimir Scherbaev on 2011-12-02
28
This bug affects 3 people
Affects Status Importance Assigned to Milestone
gtk+2.0 (Ubuntu)
High
Loïc Minier

Bug Description

Description: Ubuntu precise (development branch)
Release: 12.04
libgtk2.0-0:
  Installed: 2.24.8-0ubuntu1
  Candidate: 2.24.8-0ubuntu1
  Version table:
 *** 2.24.8-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status
libgtk2.0-cil:
  Installed: 2.12.10-2ubuntu1
  Candidate: 2.12.10-2ubuntu1
  Version table:
 *** 2.12.10-2ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status
libgtk2.0-common:
  Installed: 2.24.8-0ubuntu1
  Candidate: 2.24.8-0ubuntu1
  Version table:
 *** 2.24.8-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status
gtk2.0-examples:
  Installed: (none)
  Candidate: 2.24.8-0ubuntu1
  Version table:
     2.24.8-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
monodoc-gtk2.0-manual:
  Installed: (none)
  Candidate: 2.12.10-2ubuntu1
  Version table:
     2.12.10-2ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages
libgtk2.0-doc:
  Installed: (none)
  Candidate: 2.24.8-0ubuntu1
  Version table:
     2.24.8-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
libgtk2.0-dev:
  Installed: 2.24.8-0ubuntu1
  Candidate: 2.24.8-0ubuntu1
  Version table:
 *** 2.24.8-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status
libgtk2.0-0-dbg:
  Installed: (none)
  Candidate: 2.24.8-0ubuntu1
  Version table:
     2.24.8-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
libgtk2.0-bin:
  Installed: 2.24.6-0ubuntu6
  Candidate: 2.24.8-0ubuntu1
  Version table:
     2.24.8-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
 *** 2.24.6-0ubuntu6 0
        100 /var/lib/dpkg/status
libgtk2.0-cil-dev:
  Installed: (none)
  Candidate: 2.12.10-2ubuntu1
  Version table:
     2.12.10-2ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
gtk2.0-binver-2.10.0:
  Installed: (none)
  Candidate: (none)
  Version table:
librccgtk2-0:
  Installed: (none)
  Candidate: 0.2.9-3
  Version table:
     0.2.9-3 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
libgwengui-gtk2-0:
  Installed: (none)
  Candidate: 4.3.0-1ubuntu1
  Version table:
     4.3.0-1ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages
lazarus-ide-gtk2-0.9.30:
  Installed: (none)
  Candidate: 0.9.30-3
  Version table:
     0.9.30-3 0
        500 http://archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages
lcl-gtk2-0.9.30:
  Installed: (none)
  Candidate: 0.9.30-3
  Version table:
     0.9.30-3 0
        500 http://archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages
uim-gtk2.0:
  Installed: (none)
  Candidate: 1:1.5.7-9.1ubuntu2
  Version table:
     1:1.5.7-9.1ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: gtk2-engines-pixbuf 2.24.6-0ubuntu6
ProcVersionSignature: Ubuntu 3.2.0-2.5-generic 3.2.0-rc3
Uname: Linux 3.2.0-2-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 1.90-0ubuntu1
Architecture: amd64
Date: Fri Dec 2 10:40:23 2011
DuplicateSignature:
 Unpacking replacement gtk2-engines-pixbuf:i386 ...
 dpkg: error processing /var/cache/apt/archives/gtk2-engines-pixbuf_2.24.8-0ubuntu1_i386.deb (--unpack):
  './usr/share/doc/gtk2-engines-pixbuf/NEWS.gz' is different from the same file on the system
ErrorMessage: './usr/share/doc/gtk2-engines-pixbuf/NEWS.gz' is different from the same file on the system
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
SourcePackage: gtk+2.0
Title: package gtk2-engines-pixbuf 2.24.6-0ubuntu6 failed to install/upgrade: './usr/share/doc/gtk2-engines-pixbuf/NEWS.gz' is different from the same file on the system
UpgradeStatus: Upgraded to precise on 2011-11-22 (9 days ago)

Vladimir Scherbaev (zemik) wrote :
tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gtk+2.0 (Ubuntu):
status: New → Confirmed
Loïc Minier (lool) on 2011-12-02
Changed in gtk+2.0 (Ubuntu):
assignee: nobody → Loïc Minier (lool)
status: Confirmed → In Progress
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+2.0 - 2.24.8-0ubuntu2

---------------
gtk+2.0 (2.24.8-0ubuntu2) precise; urgency=low

  * Pass -XNEWS -Xchangelog.Debian -XREADME to dh_compress calls to workaround
    LP #871083; fixes installation on multiarch systems; LP: #898973.
  * Pass DB2HTML=non-existent to configure as to prevent building the docs if
    the build system has db2html installed; most notably this fixes a FTBFS
    with -j2 for me.
 -- Loic Minier <email address hidden> Fri, 02 Dec 2011 15:43:55 +0100

Changed in gtk+2.0 (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers